package com.hs.api.mapper;

import com.hs.api.model.DicIndInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DicIndInfoMapper {
    int deleteByPrimaryKey(Long id);

    int insert(DicIndInfo record);

    DicIndInfo selectByPrimaryKey(Long id);

    List<DicIndInfo> selectAll();

    int updateByPrimaryKey(DicIndInfo record);

    List<DicIndInfo> selectAllByFilter(@Param("pageCode") Integer pageCode, @Param("filter") String filter);
}